wined3d: Store the number of aux buffers in the context.
[wine] / configure
index 63ae523..3a18ed9 100755 (executable)
--- a/configure
+++ b/configure
@@ -1,6 +1,6 @@
 #! /bin/sh
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.61 for Wine 0.9.49.
+# Generated by GNU Autoconf 2.61 for Wine 0.9.59.
 #
 # Report bugs to <wine-devel@winehq.org>.
 #
@@ -574,8 +574,8 @@ SHELL=${CONFIG_SHELL-/bin/sh}
 # Identity of this package.
 PACKAGE_NAME='Wine'
 PACKAGE_TARNAME='wine'
-PACKAGE_VERSION='0.9.49'
-PACKAGE_STRING='Wine 0.9.49'
+PACKAGE_VERSION='0.9.59'
+PACKAGE_STRING='Wine 0.9.59'
 PACKAGE_BUGREPORT='wine-devel@winehq.org'
 
 ac_unique_file="server/atom.c"
@@ -652,6 +652,7 @@ LIBS
 build_alias
 host_alias
 target_alias
+MAINTAINER_MODE
 build
 build_cpu
 build_vendor
@@ -687,6 +688,7 @@ AS
 ac_ct_AS
 LD
 AR
+ARFLAGS
 RANLIB
 STRIP
 WINDRES
@@ -702,6 +704,8 @@ LINT
 LINTFLAGS
 FONTFORGE
 PKG_CONFIG
+RSVG
+ICOTOOL
 PRELINK
 LIBPTHREAD
 XLIB
@@ -722,6 +726,7 @@ LDD
 DLLTOOL
 DLLWRAP
 MINGWAR
+SECURITYLIB
 COREFOUNDATIONLIB
 IOKITLIB
 LDEXECFLAGS
@@ -1288,7 +1293,7 @@ if test "$ac_init_help" = "long"; then
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat <<_ACEOF
-\`configure' configures Wine 0.9.49 to adapt to many kinds of systems.
+\`configure' configures Wine 0.9.59 to adapt to many kinds of systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
 
@@ -1357,7 +1362,7 @@ fi
 
 if test -n "$ac_init_help"; then
   case $ac_init_help in
-     short | recursive ) echo "Configuration of Wine 0.9.49:";;
+     short | recursive ) echo "Configuration of Wine 0.9.59:";;
    esac
   cat <<\_ACEOF
 
@@ -1367,12 +1372,44 @@ Optional Features:
   --disable-win16         do not include Win16 support
   --enable-win64          build a Win64 emulator on AMD64 (won't run Win32
                           binaries)
+  --enable-maintainer-mode
+                          enable maintainer-specific build rules
 
 Optional Packages:
   --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
   --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
+  --without-alsa          do not use the Alsa sound support
+  --without-audioio       do not use the AudioIO sound support
+  --without-capi          do not use CAPI (ISDN support)
+  --without-cms           do not use CMS (color management support)
+  --without-coreaudio     do not use the CoreAudio sound support
+  --without-cups          do not use CUPS
+  --without-curses        do not use (n)curses
+  --without-esd           do not use the EsounD sound support
+  --without-fontconfig    do not use fontconfig
+  --without-gphoto        do not use gphoto (Digital Camera support)
+  --without-hal           do not use HAL (dynamic device support)
+  --without-jack          do not use the Jack sound support
+  --without-jpeg          do not use JPEG
+  --without-ldap          do not use LDAP
+  --without-nas           do not use the NAS sound support
   --without-opengl        do not use OpenGL
-  --with-wine-tools=<dir> use Wine tools from directory <dir>
+  --without-openssl       do not use OpenSSL
+  --without-oss           do not use the OSS sound support
+  --without-png           do not use PNG
+  --without-sane          do not use SANE (scanner support)
+  --without-xcomposite    do not use the Xcomposite extension
+  --without-xcursor       do not use the Xcursor extension
+  --without-xinerama      do not use Xinerama (multi-monitor support)
+  --without-xinput        do not use the Xinput extension
+  --without-xml           do not use XML
+  --without-xrandr        do not use Xrandr (resolution changes)
+  --without-xrender       do not use the Xrender extension
+  --without-xshape        do not use the Xshape extension
+  --without-xshm          do not use XShm (shared memory extension)
+  --without-xslt          do not use XSLT
+  --without-xvidmode      do not use XFree video mode extension
+  --with-wine-tools=DIR   use Wine tools from directory DIR
   --with-x                use the X Window System
 
 Some influential environment variables:
@@ -1452,7 +1489,7 @@ fi
 test -n "$ac_init_help" && exit $ac_status
 if $ac_init_version; then
   cat <<\_ACEOF
-Wine configure 0.9.49
+Wine configure 0.9.59
 generated by GNU Autoconf 2.61
 
 Copyright (C) 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001,
@@ -1466,7 +1503,7 @@ cat >config.log <<_ACEOF
 This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
-It was created by Wine $as_me 0.9.49, which was
+It was created by Wine $as_me 0.9.59, which was
 generated by GNU Autoconf 2.61.  Invocation command line was
 
   $ $0 $@
@@ -1865,6 +1902,104 @@ if test "${enable_win64+set}" = set; then
   enableval=$enable_win64;
 fi
 
+# Check whether --enable-maintainer-mode was given.
+if test "${enable_maintainer_mode+set}" = set; then
+  enableval=$enable_maintainer_mode;
+else
+  MAINTAINER_MODE=\#
+
+fi
+
+
+
+# Check whether --with-alsa was given.
+if test "${with_alsa+set}" = set; then
+  withval=$with_alsa; if test "x$withval" = "xno"; then ac_cv_header_sys_asoundlib_h=no; ac_cv_header_alsa_asoundlib_h=no; fi
+fi
+
+
+# Check whether --with-audioio was given.
+if test "${with_audioio+set}" = set; then
+  withval=$with_audioio; if test "x$withval" = "xno"; then ac_cv_header_libaudioio_h=no; fi
+fi
+
+
+# Check whether --with-capi was given.
+if test "${with_capi+set}" = set; then
+  withval=$with_capi; if test "x$withval" = "xno"; then ac_cv_header_capi20_h=no; ac_cv_header_linux_capi_h=no; fi
+fi
+
+
+# Check whether --with-cms was given.
+if test "${with_cms+set}" = set; then
+  withval=$with_cms; if test "x$withval" = "xno"; then ac_cv_header_lcms_h=no; ac_cv_header_lcms_lcms_h=no; fi
+fi
+
+
+# Check whether --with-coreaudio was given.
+if test "${with_coreaudio+set}" = set; then
+  withval=$with_coreaudio; if test "x$withval" = "xno"; then ac_cv_header_CoreAudio_CoreAudio_h=no; fi
+fi
+
+
+# Check whether --with-cups was given.
+if test "${with_cups+set}" = set; then
+  withval=$with_cups; if test "x$withval" = "xno"; then ac_cv_header_cups_cups_h=no; fi
+fi
+
+
+# Check whether --with-curses was given.
+if test "${with_curses+set}" = set; then
+  withval=$with_curses; if test "x$withval" = "xno"; then ac_cv_header_ncurses_h=no; ac_cv_header_curses_h=no; fi
+fi
+
+
+# Check whether --with-esd was given.
+if test "${with_esd+set}" = set; then
+  withval=$with_esd;
+fi
+
+
+# Check whether --with-fontconfig was given.
+if test "${with_fontconfig+set}" = set; then
+  withval=$with_fontconfig; if test "x$withval" = "xno"; then ac_cv_header_fontconfig_fontconfig_h=no; fi
+fi
+
+
+# Check whether --with-gphoto was given.
+if test "${with_gphoto+set}" = set; then
+  withval=$with_gphoto;
+fi
+
+
+# Check whether --with-hal was given.
+if test "${with_hal+set}" = set; then
+  withval=$with_hal;
+fi
+
+
+# Check whether --with-jack was given.
+if test "${with_jack+set}" = set; then
+  withval=$with_jack; if test "x$withval" = "xno"; then ac_cv_header_jack_jack_h=no; fi
+fi
+
+
+# Check whether --with-jpeg was given.
+if test "${with_jpeg+set}" = set; then
+  withval=$with_jpeg; if test "x$withval" = "xno"; then ac_cv_header_jpeglib_h=no; fi
+fi
+
+
+# Check whether --with-ldap was given.
+if test "${with_ldap+set}" = set; then
+  withval=$with_ldap; if test "x$withval" = "xno"; then ac_cv_header_ldap_h=no; ac_cv_header_lber_h=no; fi
+fi
+
+
+# Check whether --with-nas was given.
+if test "${with_nas+set}" = set; then
+  withval=$with_nas; if test "x$withval" = "xno"; then ac_cv_header_audio_audiolib_h=no; fi
+fi
 
 
 # Check whether --with-opengl was given.
@@ -1873,6 +2008,97 @@ if test "${with_opengl+set}" = set; then
 fi
 
 
+# Check whether --with-openssl was given.
+if test "${with_openssl+set}" = set; then
+  withval=$with_openssl; if test "x$withval" = "xno"; then ac_cv_header_openssl_err_h=no; ac_cv_header_openssl_ssl_h=no; fi
+fi
+
+
+# Check whether --with-oss was given.
+if test "${with_oss+set}" = set; then
+  withval=$with_oss; if test "x$withval" = "xno"; then ac_cv_header_soundcard_h=no; ac_cv_header_sys_soundcard_h=no; ac_cv_header_machine_soundcard_h=no; fi
+fi
+
+
+# Check whether --with-png was given.
+if test "${with_png+set}" = set; then
+  withval=$with_png; if test "x$withval" = "xno"; then ac_cv_header_png_h=no; fi
+fi
+
+
+# Check whether --with-sane was given.
+if test "${with_sane+set}" = set; then
+  withval=$with_sane;
+fi
+
+
+# Check whether --with-xcomposite was given.
+if test "${with_xcomposite+set}" = set; then
+  withval=$with_xcomposite; if test "x$withval" = "xno"; then ac_cv_header_X11_extensions_Xcomposite_h=no; fi
+fi
+
+
+# Check whether --with-xcursor was given.
+if test "${with_xcursor+set}" = set; then
+  withval=$with_xcursor; if test "x$withval" = "xno"; then ac_cv_header_X11_Xcursor_Xcursor_h=no; fi
+fi
+
+
+# Check whether --with-xinerama was given.
+if test "${with_xinerama+set}" = set; then
+  withval=$with_xinerama; if test "x$withval" = "xno"; then ac_cv_header_X11_extensions_Xinerama_h=no; fi
+fi
+
+
+# Check whether --with-xinput was given.
+if test "${with_xinput+set}" = set; then
+  withval=$with_xinput; if test "x$withval" = "xno"; then ac_cv_header_X11_extensions_XInput_h=no; fi
+fi
+
+
+# Check whether --with-xml was given.
+if test "${with_xml+set}" = set; then
+  withval=$with_xml;
+fi
+
+
+# Check whether --with-xrandr was given.
+if test "${with_xrandr+set}" = set; then
+  withval=$with_xrandr; if test "x$withval" = "xno"; then ac_cv_header_X11_extensions_Xrandr_h=no; fi
+fi
+
+
+# Check whether --with-xrender was given.
+if test "${with_xrender+set}" = set; then
+  withval=$with_xrender; if test "x$withval" = "xno"; then ac_cv_header_X11_extensions_Xrender_h=no; fi
+fi
+
+
+# Check whether --with-xshape was given.
+if test "${with_xshape+set}" = set; then
+  withval=$with_xshape; if test "x$withval" = "xno"; then ac_cv_header_X11_extensions_shape_h=no; fi
+fi
+
+
+# Check whether --with-xshm was given.
+if test "${with_xshm+set}" = set; then
+  withval=$with_xshm; if test "x$withval" = "xno"; then ac_cv_header_X11_extensions_XShm_h=no; fi
+fi
+
+
+# Check whether --with-xslt was given.
+if test "${with_xslt+set}" = set; then
+  withval=$with_xslt;
+fi
+
+
+# Check whether --with-xvidmode was given.
+if test "${with_xvidmode+set}" = set; then
+  withval=$with_xvidmode; if test "x$withval" = "xno"; then ac_cv_header_X11_extensions_xf86vmode_h=no; fi
+fi
+
+
+
 # Check whether --with-wine-tools was given.
 if test "${with_wine_tools+set}" = set; then
   withval=$with_wine_tools;
@@ -5388,6 +5614,8 @@ else
   AR="$ac_cv_prog_AR"
 fi
 
+ARFLAGS=rc
+
 if test -n "$ac_tool_prefix"; then
   # Extract the first word of "${ac_tool_prefix}ranlib", so it can be a program name with args.
 set dummy ${ac_tool_prefix}ranlib; ac_word=$2
@@ -6126,6 +6354,99 @@ fi
 done
 test -n "$PKG_CONFIG" || PKG_CONFIG="false"
 
+for ac_prog in rsvg
+do
+  # Extract the first word of "$ac_prog", so it can be a program name with args.
+set dummy $ac_prog; ac_word=$2
+{ echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
+if test "${ac_cv_prog_RSVG+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  if test -n "$RSVG"; then
+  ac_cv_prog_RSVG="$RSVG" # Let the user override the test.
+else
+as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  for ac_exec_ext in '' $ac_executable_extensions; do
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
+    ac_cv_prog_RSVG="$ac_prog"
+    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+    break 2
+  fi
+done
+done
+IFS=$as_save_IFS
+
+fi
+fi
+RSVG=$ac_cv_prog_RSVG
+if test -n "$RSVG"; then
+  { echo "$as_me:$LINENO: result: $RSVG" >&5
+echo "${ECHO_T}$RSVG" >&6; }
+else
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+fi
+
+
+  test -n "$RSVG" && break
+done
+test -n "$RSVG" || RSVG="false"
+
+for ac_prog in icotool
+do
+  # Extract the first word of "$ac_prog", so it can be a program name with args.
+set dummy $ac_prog; ac_word=$2
+{ echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
+if test "${ac_cv_prog_ICOTOOL+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  if test -n "$ICOTOOL"; then
+  ac_cv_prog_ICOTOOL="$ICOTOOL" # Let the user override the test.
+else
+as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  for ac_exec_ext in '' $ac_executable_extensions; do
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
+    ac_cv_prog_ICOTOOL="$ac_prog"
+    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+    break 2
+  fi
+done
+done
+IFS=$as_save_IFS
+
+fi
+fi
+ICOTOOL=$ac_cv_prog_ICOTOOL
+if test -n "$ICOTOOL"; then
+  { echo "$as_me:$LINENO: result: $ICOTOOL" >&5
+echo "${ECHO_T}$ICOTOOL" >&6; }
+else
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+fi
+
+
+  test -n "$ICOTOOL" && break
+done
+test -n "$ICOTOOL" || ICOTOOL="false"
+
+
+if test "${enable_maintainer_mode+set}" = set
+then
+  if test "$FONTFORGE" = "false"; then wine_warnings="$wine_warnings|fontforge is missing, fonts can't be rebuilt."; fi
+  if test "$RSVG" = "false"; then wine_warnings="$wine_warnings|rsvg is missing, icons can't be rebuilt."; fi
+  if test "$ICOTOOL" = "false"; then wine_warnings="$wine_warnings|icotool is missing, icons can't be rebuilt."; fi
+fi
 
 case $host_cpu in
   *i[3456789]86*)
@@ -7094,7 +7415,7 @@ cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 #include <sys/types.h>
-     #if HAVE_SYS_PARAM_H
+     #ifdef HAVE_SYS_PARAM_H
      # include <sys/param.h>
      #endif
 
@@ -7163,13 +7484,13 @@ cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 #include <sys/types.h>
-     #if HAVE_SYS_SOCKET_H
+     #ifdef HAVE_SYS_SOCKET_H
      # include <sys/socket.h>
      #endif
-     #if HAVE_SYS_SOCKETVAR_H
+     #ifdef HAVE_SYS_SOCKETVAR_H
      # include <sys/socketvar.h>
      #endif
-     #if HAVE_NETINET_IN_H
+     #ifdef HAVE_NETINET_IN_H
      # include <netinet/in.h>
      #endif
 
@@ -7231,13 +7552,13 @@ cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 #include <sys/types.h>
-     #if HAVE_SYS_SOCKET_H
+     #ifdef HAVE_SYS_SOCKET_H
      # include <sys/socket.h>
      #endif
-     #if HAVE_SYS_SOCKETVAR_H
+     #ifdef HAVE_SYS_SOCKETVAR_H
      # include <sys/socketvar.h>
      #endif
-     #if HAVE_NETINET_IN_H
+     #ifdef HAVE_NETINET_IN_H
      # include <netinet/in.h>
      #endif
      #ifdef HAVE_NETINET_TCP_H
@@ -7305,7 +7626,7 @@ cat >>conftest.$ac_ext <<_ACEOF
      #ifdef HAVE_ASM_TYPES_H
      # include <asm/types.h>
      #endif
-     #if HAVE_SYS_SOCKET_H
+     #ifdef HAVE_SYS_SOCKET_H
      # include <sys/socket.h>
      #endif
 
@@ -7367,13 +7688,13 @@ cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 #include <sys/types.h>
-     #if HAVE_SYS_SOCKET_H
+     #ifdef HAVE_SYS_SOCKET_H
      # include <sys/socket.h>
      #endif
-     #if HAVE_NETINET_IN_H
+     #ifdef HAVE_NETINET_IN_H
      # include <netinet/in.h>
      #endif
-     #if HAVE_ARPA_NAMESER_H
+     #ifdef HAVE_ARPA_NAMESER_H
      # include <arpa/nameser.h>
      #endif
 
@@ -7494,7 +7815,7 @@ cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 #include <sys/types.h>
-#if HAVE_UCONTEXT_H
+#ifdef HAVE_UCONTEXT_H
 #include <ucontext.h>
 #endif
 
@@ -8093,7 +8414,9 @@ fi
     LDSHARED="\$(CC) -dynamiclib"
     STRIP="$STRIP -x"
     LDRPATH_LOCAL="&& install_name_tool -change @executable_path/\`\$(RELPATH) \$(bindir) \$(libdir)\`/libwine.1.dylib @executable_path/\$(TOPOBJDIR)/libs/wine/libwine.1.dylib \$@ || \$(RM) \$@"
-        COREFOUNDATIONLIB="-framework CoreFoundation"
+        SECURITYLIB="-framework Security -framework CoreFoundation"
+
+    COREFOUNDATIONLIB="-framework CoreFoundation"
 
     IOKITLIB="-framework IOKit -framework CoreFoundation"
 
@@ -8877,7 +9200,7 @@ echo "${ECHO_T}$ac_cv_c_dll_hpux" >&6; }
 
     if test "$cross_compiling" = "no"
     then
-      for ac_prog in i586-mingw32msvc-gcc i386-mingw32msvc-gcc i686-mingw32-gcc i386-mingw32-gcc mingw32-gcc mingw-gcc
+      for ac_prog in i586-mingw32msvc-gcc i386-mingw32msvc-gcc i686-mingw32-gcc i586-mingw32-gcc i386-mingw32-gcc mingw32-gcc mingw-gcc
 do
   # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
@@ -8920,7 +9243,7 @@ fi
 done
 test -n "$CROSSCC" || CROSSCC="false"
 
-      for ac_prog in i586-mingw32msvc-dlltool i386-mingw32msvc-dlltool i686-mingw32-dlltool i386-mingw32-dlltool mingw32-dlltool mingw-dlltool
+      for ac_prog in i586-mingw32msvc-dlltool i386-mingw32msvc-dlltool i686-mingw32-dlltool i586-mingw32-dlltool i386-mingw32-dlltool mingw32-dlltool mingw-dlltool
 do
   # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
@@ -8963,7 +9286,7 @@ fi
 done
 test -n "$DLLTOOL" || DLLTOOL="false"
 
-      for ac_prog in i586-mingw32msvc-windres i386-mingw32msvc-windres i686-mingw32-windres i386-mingw32-windres mingw32-windres mingw-windres
+      for ac_prog in i586-mingw32msvc-windres i386-mingw32msvc-windres i686-mingw32-windres i586-mingw32-windres i386-mingw32-windres mingw32-windres mingw-windres
 do
   # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
@@ -9006,7 +9329,7 @@ fi
 done
 test -n "$CROSSWINDRES" || CROSSWINDRES="false"
 
-      for ac_prog in i586-mingw32msvc-ar i386-mingw32msvc-ar i686-mingw32-ar i386-mingw32-ar mingw32-ar mingw-ar
+      for ac_prog in i586-mingw32msvc-ar i386-mingw32msvc-ar i686-mingw32-ar i586-mingw32-ar i386-mingw32-ar mingw32-ar mingw-ar
 do
   # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
@@ -9472,6 +9795,18 @@ _ACEOF
 fi
 
         fi
+        if test "x$ac_cv_lib_soname_Xcursor" = "x"; then
+  case "x$with_xcursor" in
+  x)   wine_notices="$wine_notices|libxcursor development files not found, the Xcursor extension won't be supported." ;;
+  xno) ;;
+  *)   { { echo "$as_me:$LINENO: error: libxcursor development files not found, the Xcursor extension won't be supported.
+This is an error since --with-xcursor was requested." >&5
+echo "$as_me: error: libxcursor development files not found, the Xcursor extension won't be supported.
+This is an error since --with-xcursor was requested." >&2;}
+   { (exit 1); exit 1; }; } ;;
+esac
+fi
+
 
                 if test "$ac_cv_header_X11_extensions_XInput_h" = "yes"
         then
@@ -9554,6 +9889,18 @@ _ACEOF
 fi
 
         fi
+        if test "x$ac_cv_lib_soname_Xi" = "x"; then
+  case "x$with_xinput" in
+  x)   wine_notices="$wine_notices|libxi development files not found, the Xinput extension won't be supported." ;;
+  xno) ;;
+  *)   { { echo "$as_me:$LINENO: error: libxi development files not found, the Xinput extension won't be supported.
+This is an error since --with-xinput was requested." >&5
+echo "$as_me: error: libxi development files not found, the Xinput extension won't be supported.
+This is an error since --with-xinput was requested." >&2;}
+   { (exit 1); exit 1; }; } ;;
+esac
+fi
+
 
                 if test "$ac_cv_header_X11_extensions_XShm_h" = "yes"
         then
@@ -9628,8 +9975,15 @@ fi
 
         fi
         if test "$ac_cv_lib_Xext_XShmQueryExtension" != "yes"; then
-  wine_notices="$wine_notices|XShm development files not found.
-Wine will be built without XShm support. (winex11.drv)"
+  case "x$with_xshm" in
+  x)   wine_notices="$wine_notices|XShm development files not found, X Shared Memory won't be supported." ;;
+  xno) ;;
+  *)   { { echo "$as_me:$LINENO: error: XShm development files not found, X Shared Memory won't be supported.
+This is an error since --with-xshm was requested." >&5
+echo "$as_me: error: XShm development files not found, X Shared Memory won't be supported.
+This is an error since --with-xshm was requested." >&2;}
+   { (exit 1); exit 1; }; } ;;
+esac
 fi
 
 
@@ -9706,8 +10060,15 @@ fi
 
         fi
         if test "$ac_cv_lib_Xext_XShapeQueryExtension" != "yes"; then
-  wine_notices="$wine_notices|XShape development files not found.
-Wine will be built without XShape support. (winex11.drv)"
+  case "x$with_xshape" in
+  x)   wine_notices="$wine_notices|XShape development files not found, XShape won't be supported." ;;
+  xno) ;;
+  *)   { { echo "$as_me:$LINENO: error: XShape development files not found, XShape won't be supported.
+This is an error since --with-xshape was requested." >&5
+echo "$as_me: error: XShape development files not found, XShape won't be supported.
+This is an error since --with-xshape was requested." >&2;}
+   { (exit 1); exit 1; }; } ;;
+esac
 fi
 
 
@@ -9786,8 +10147,15 @@ fi
 
         fi
         if test "$ac_cv_lib_Xxf86vm_XF86VidModeQueryExtension" != "yes"; then
-  wine_notices="$wine_notices|Xxf86vm development files not found.
-Wine will be built without XF86 Vidmode support. (winex11.drv)"
+  case "x$with_xvidmode" in
+  x)   wine_notices="$wine_notices|libXxf86vm development files not found, XFree86 Vidmode won't be supported." ;;
+  xno) ;;
+  *)   { { echo "$as_me:$LINENO: error: libXxf86vm development files not found, XFree86 Vidmode won't be supported.
+This is an error since --with-xvidmode was requested." >&5
+echo "$as_me: error: libXxf86vm development files not found, XFree86 Vidmode won't be supported.
+This is an error since --with-xvidmode was requested." >&2;}
+   { (exit 1); exit 1; }; } ;;
+esac
 fi
 
 
@@ -9942,8 +10310,15 @@ fi
 
         fi
         if test "x$ac_cv_lib_soname_Xrender" = "x"; then
-  wine_notices="$wine_notices|XRender development files not found.
-Wine will be built without XRender support. (winex11.drv)"
+  case "x$with_xrender" in
+  x)   wine_notices="$wine_notices|libxrender development files not found, XRender won't be supported." ;;
+  xno) ;;
+  *)   { { echo "$as_me:$LINENO: error: libxrender development files not found, XRender won't be supported.
+This is an error since --with-xrender was requested." >&5
+echo "$as_me: error: libxrender development files not found, XRender won't be supported.
+This is an error since --with-xrender was requested." >&2;}
+   { (exit 1); exit 1; }; } ;;
+esac
 fi
 
 
 rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
         fi
         if test "x$ac_cv_lib_soname_Xrandr" = "x"; then
-  wine_notices="$wine_notices|XRandr development files not found.
-Wine will be built without XRandr support. (winex11.drv)"
+  case "x$with_xrandr" in
+  x)   wine_notices="$wine_notices|libxrandr development files not found, XRandr won't be supported." ;;
+  xno) ;;
+  *)   { { echo "$as_me:$LINENO: error: libxrandr development files not found, XRandr won't be supported.
+This is an error since --with-xrandr was requested." >&5
+echo "$as_me: error: libxrandr development files not found, XRandr won't be supported.
+This is an error since --with-xrandr was requested." >&2;}
+   { (exit 1); exit 1; }; } ;;
+esac
 fi
 
 
 rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
         fi
         if test "x$ac_cv_lib_soname_Xinerama" = "x"; then
-  wine_notices="$wine_notices|Xinerama development files not found.
-Wine will be built without Xinerama support. (winex11.drv)"
+  case "x$with_xinerama" in
+  x)   wine_notices="$wine_notices|libxinerama development files not found, multi-monitor setups won't be supported." ;;
+  xno) ;;
+  *)   { { echo "$as_me:$LINENO: error: libxinerama development files not found, multi-monitor setups won't be supported.
+This is an error since --with-xinerama was requested." >&5
+echo "$as_me: error: libxinerama development files not found, multi-monitor setups won't be supported.
+This is an error since --with-xinerama was requested." >&2;}
+   { (exit 1); exit 1; }; } ;;
+esac
 fi
 
 
 
         fi
         if test "x$ac_cv_lib_soname_Xcomposite" = "x"; then
-  wine_notices="$wine_notices|XComposite development files not found.
-Wine will be built without XComposite support. (winex11.drv)"
+  case "x$with_xcomposite" in
+  x)   wine_notices="$wine_notices|libxcomposite development files not found, Xcomposite won't be supported." ;;
+  xno) ;;
+  *)   { { echo "$as_me:$LINENO: error: libxcomposite development files not found, Xcomposite won't be supported.
+This is an error since --with-xcomposite was requested." >&5
+echo "$as_me: error: libxcomposite development files not found, Xcomposite won't be supported.
+This is an error since --with-xcomposite was requested." >&2;}
+   { (exit 1); exit 1; }; } ;;
+esac
 fi
 
 
 
-        if test "x$with_opengl" != "xno"
+        opengl_msg=""
+    if test "x$with_opengl" != "xno"
     then
 
 
@@ -10467,6 +10864,72 @@ else
 sed 's/^/| /' conftest.$ac_ext >&5
 
 
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+  LIBS=$ac_check_soname_save_LIBS
+fi
+if test "x$ac_cv_lib_soname_GL" = "x"; then
+  { echo "$as_me:$LINENO: result: not found" >&5
+echo "${ECHO_T}not found" >&6; }
+       { echo "$as_me:$LINENO: checking for -lGL" >&5
+echo $ECHO_N "checking for -lGL... $ECHO_C" >&6; }
+if test "${ac_cv_lib_soname_GL+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_check_soname_save_LIBS=$LIBS
+LIBS="-lGL $X_LIBS -lXext -lX11 -lm $X_EXTRA_LIBS -dylib_file /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib:/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib $LIBS"
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+char glXCreateContext ();
+int
+main ()
+{
+return glXCreateContext ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
+  case "$LIBEXT" in
+    dll) ;;
+    dylib) ac_cv_lib_soname_GL=`otool -L conftest$ac_exeext | grep "libGL\\.[0-9A-Za-z.]*dylib" | sed -e "s/^.*\/\(libGL\.[0-9A-Za-z.]*dylib\).*$/\1/"';2,$d'` ;;
+    *) ac_cv_lib_soname_GL=`$ac_cv_path_LDD conftest$ac_exeext | grep "libGL\\.$LIBEXT" | sed -e "s/^.*\(libGL\.$LIBEXT[^       ]*\).*$/\1/"';2,$d'` ;;
+  esac
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+
 fi
 
 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
@@ -10477,13 +10940,29 @@ if test "x$ac_cv_lib_soname_GL" = "x"; then
   { echo "$as_me:$LINENO: result: not found" >&5
 echo "${ECHO_T}not found" >&6; }
        if test -f /usr/X11R6/lib/libGL.a
-                              then
-                                  wine_warnings="$wine_warnings|/usr/X11R6/lib/libGL.a is present on your system.
+                                   then
+                                       opengl_msg="/usr/X11R6/lib/libGL.a is present on your system.
 This probably prevents linking to OpenGL. Try deleting the file and restarting configure."
-                              else
-                                  wine_warnings="$wine_warnings|No OpenGL library found on this system.
-Wine will be built without OpenGL or Direct3D support."
-                              fi
+                                   else
+                                       opengl_msg="No OpenGL library found on this system."
+                                   fi
+else
+  { echo "$as_me:$LINENO: result: $ac_cv_lib_soname_GL" >&5
+echo "${ECHO_T}$ac_cv_lib_soname_GL" >&6; }
+
+cat >>confdefs.h <<_ACEOF
+#define SONAME_LIBGL "$ac_cv_lib_soname_GL"
+_ACEOF
+
+       OPENGL_LIBS="-Xlinker -dylib_file -Xlinker /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib:/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib -lGL"
+                                   OPENGLFILES='$(OPENGLFILES)'
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_OPENGL 1
+_ACEOF
+
+fi
+
 else
   { echo "$as_me:$LINENO: result: $ac_cv_lib_soname_GL" >&5
 echo "${ECHO_T}$ac_cv_lib_soname_GL" >&6; }
@@ -10570,14 +11049,27 @@ if test $ac_cv_lib_GLU_gluLookAt = yes; then
 fi
 
              else
-                 wine_warnings="$wine_warnings|Old Mesa headers detected. Consider upgrading your Mesa libraries (http://www.mesa3d.org/).
-Wine will be built without OpenGL or Direct3D support."
+                 opengl_msg="Old Mesa headers detected. Consider upgrading your Mesa libraries."
             fi
          else
-             wine_warnings="$wine_warnings|OpenGL development headers not found.
-Wine will be built without OpenGL or Direct3D support."
+             opengl_msg="OpenGL development headers not found."
         fi
     fi
+    if test -n "$opengl_msg"; then
+  case "x$with_opengl" in
+  x)   wine_warnings="$wine_warnings|$opengl_msg
+OpenGL and Direct3D won't be supported." ;;
+  xno) ;;
+  *)   { { echo "$as_me:$LINENO: error: $opengl_msg
+OpenGL and Direct3D won't be supported.
+This is an error since --with-opengl was requested." >&5
+echo "$as_me: error: $opengl_msg
+OpenGL and Direct3D won't be supported.
+This is an error since --with-opengl was requested." >&2;}
+   { (exit 1); exit 1; }; } ;;
+esac
+fi
+
 
         NASLIBS=""
 
@@ -10927,12 +11419,27 @@ else
     XLIB=""
     X_CFLAGS=""
     X_LIBS=""
-    wine_warnings="$wine_warnings|X development files not found. Wine will be built
+fi
+if test "x$XLIB" = "x"; then
+  case "x$with_x" in
+  x)   wine_warnings="$wine_warnings|X development files not found. Wine will be built
+without X support, which probably isn't what you want. You will need to install
+development packages of Xlib/Xfree86 at the very least." ;;
+  xno) ;;
+  *)   { { echo "$as_me:$LINENO: error: X development files not found. Wine will be built
 without X support, which probably isn't what you want. You will need to install
-development packages of Xlib/Xfree86 at the very least."
+development packages of Xlib/Xfree86 at the very least.
+This is an error since --with-x was requested." >&5
+echo "$as_me: error: X development files not found. Wine will be built
+without X support, which probably isn't what you want. You will need to install
+development packages of Xlib/Xfree86 at the very least.
+This is an error since --with-x was requested." >&2;}
+   { (exit 1); exit 1; }; } ;;
+esac
 fi
 
 
+
 XML2LIBS=""
 
 XML2INCL=""
@@ -10941,16 +11448,18 @@ XSLTLIBS=""
 
 XSLTINCL=""
 
-ac_save_CPPFLAGS="$CPPFLAGS"
-if test "$PKG_CONFIG" != "false"
+if test "x$with_xml" != "xno"
 then
-    ac_xml_libs="`$PKG_CONFIG --libs libxml-2.0 2>/dev/null`"
-    ac_xml_cflags="`$PKG_CONFIG --cflags libxml-2.0 2>/dev/null`"
-else
-    ac_xml_libs="`xml2-config --libs 2>/dev/null`"
-    ac_xml_cflags="`xml2-config --cflags  2>/dev/null`"
-fi
-CPPFLAGS="$CPPFLAGS $ac_xml_cflags"
+    ac_save_CPPFLAGS="$CPPFLAGS"
+    if test "$PKG_CONFIG" != "false"
+    then
+        ac_xml_libs="`$PKG_CONFIG --libs libxml-2.0 2>/dev/null`"
+        ac_xml_cflags="`$PKG_CONFIG --cflags libxml-2.0 2>/dev/null`"
+    else
+        ac_xml_libs="`xml2-config --libs 2>/dev/null`"
+        ac_xml_cflags="`xml2-config --cflags  2>/dev/null`"
+    fi
+    CPPFLAGS="$CPPFLAGS $ac_xml_cflags"
 
 for ac_header in libxml/parser.h
 do
@@ -11158,11 +11667,11 @@ cat >>confdefs.h <<\_ACEOF
 #define HAVE_LIBXML2 1
 _ACEOF
 
-             XML2LIBS="$ac_xml_libs"
-             XML2INCL="$ac_xml_cflags"
+                 XML2LIBS="$ac_xml_libs"
+                 XML2INCL="$ac_xml_cflags"
 fi
 
-         { echo "$as_me:$LINENO: checking for xmlReadMemory in -lxml2" >&5
+             { echo "$as_me:$LINENO: checking for xmlReadMemory in -lxml2" >&5
 echo $ECHO_N "checking for xmlReadMemory in -lxml2... $ECHO_C" >&6; }
 if test "${ac_cv_lib_xml2_xmlReadMemory+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -11231,7 +11740,7 @@ _ACEOF
 
 fi
 
-         { echo "$as_me:$LINENO: checking for xmlNewDocPI in -lxml2" >&5
+             { echo "$as_me:$LINENO: checking for xmlNewDocPI in -lxml2" >&5
 echo $ECHO_N "checking for xmlNewDocPI in -lxml2... $ECHO_C" >&6; }
 if test "${ac_cv_lib_xml2_xmlNewDocPI+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 
 done
 
-CPPFLAGS="$ac_save_CPPFLAGS"
+    CPPFLAGS="$ac_save_CPPFLAGS"
+fi
 if test "$ac_cv_lib_xml2_xmlParseMemory" != "yes"; then
-  wine_notices="$wine_notices|libxml2 development files not found.
-Wine will be built without XML support. (msxml.dll)"
+  case "x$with_xml" in
+  x)   wine_notices="$wine_notices|libxml2 development files not found, XML won't be supported." ;;
+  xno) ;;
+  *)   { { echo "$as_me:$LINENO: error: libxml2 development files not found, XML won't be supported.
+This is an error since --with-xml was requested." >&5
+echo "$as_me: error: libxml2 development files not found, XML won't be supported.
+This is an error since --with-xml was requested." >&2;}
+   { (exit 1); exit 1; }; } ;;
+esac
 fi
 
 
-if test "$PKG_CONFIG" != "false"
+if test "x$with_xslt" != "xno"
 then
-    ac_xslt_libs="`$PKG_CONFIG --libs libxslt 2>/dev/null`"
-    ac_xslt_cflags="`$PKG_CONFIG --cflags libxslt 2>/dev/null`"
-else
-    ac_xslt_libs="`xslt-config --libs 2>/dev/null`"
-    ac_xslt_cflags="`xslt-config --cflags 2>/dev/null`"
-fi
-CPPFLAGS="$CPPFLAGS $ac_xslt_cflags"
+    if test "$PKG_CONFIG" != "false"
+    then
+        ac_xslt_libs="`$PKG_CONFIG --libs libxslt 2>/dev/null`"
+        ac_xslt_cflags="`$PKG_CONFIG --cflags libxslt 2>/dev/null`"
+    else
+        ac_xslt_libs="`xslt-config --libs 2>/dev/null`"
+        ac_xslt_cflags="`xslt-config --cflags 2>/dev/null`"
+    fi
+    CPPFLAGS="$CPPFLAGS $ac_xslt_cflags"
 
 
 for ac_header in libxslt/pattern.h libxslt/transform.h
@@ -11444,8 +11963,8 @@ cat >>confdefs.h <<\_ACEOF
 #define HAVE_LIBXSLT 1
 _ACEOF
 
-             XSLTLIBS="$ac_xslt_libs"
-             XSLTINCL="$ac_xslt_cflags"
+                 XSLTLIBS="$ac_xslt_libs"
+                 XSLTINCL="$ac_xslt_cflags"
 fi
 
 
 
 done
 
-CPPFLAGS="$ac_save_CPPFLAGS"
+    CPPFLAGS="$ac_save_CPPFLAGS"
+fi
 if test "$ac_cv_lib_xslt_xsltCompilePattern" != "yes"; then
-  wine_notices="$wine_notices|libxslt development files not found.
-Wine will be built without xslt support. (msxml.dll)"
+  case "x$with_xslt" in
+  x)   wine_notices="$wine_notices|libxslt development files not found, xslt won't be supported." ;;
+  xno) ;;
+  *)   { { echo "$as_me:$LINENO: error: libxslt development files not found, xslt won't be supported.
+This is an error since --with-xslt was requested." >&5
+echo "$as_me: error: libxslt development files not found, xslt won't be supported.
+This is an error since --with-xslt was requested." >&2;}
+   { (exit 1); exit 1; }; } ;;
+esac
 fi
 
 
 HALINCL=""
 
-if test "$PKG_CONFIG" != "false"
+if test "x$with_hal" != "xno" -a "$PKG_CONFIG" != "false"
 then
     ac_save_CPPFLAGS="$CPPFLAGS"
     ac_hal_libs="`$PKG_CONFIG --libs hal 2>/dev/null`"
     CPPFLAGS="$ac_save_CPPFLAGS"
 fi
 if test "x$ac_cv_lib_soname_hal" = "x"; then
-  wine_notices="$wine_notices|libhal development files not found.
-Wine will be built without dynamic device support. (explorer.exe)"
+  case "x$with_hal" in
+  x)   wine_notices="$wine_notices|libhal development files not found, no dynamic device support." ;;
+  xno) ;;
+  *)   { { echo "$as_me:$LINENO: error: libhal development files not found, no dynamic device support.
+This is an error since --with-hal was requested." >&5
+echo "$as_me: error: libhal development files not found, no dynamic device support.
+This is an error since --with-hal was requested." >&2;}
+   { (exit 1); exit 1; }; } ;;
+esac
 fi
 
 
@@ -12027,8 +12561,15 @@ done
 
 LIBS="$ac_save_LIBS"
 if test "x$ac_cv_lib_soname_curses$ac_cv_lib_soname_ncurses" = "x"; then
-  wine_notices="$wine_notices|lib(n)curses development files not found.
-Wine will be built without (n)curses support. (wineconsole.exe)"
+  case "x$with_curses" in
+  x)   wine_notices="$wine_notices|lib(n)curses development files not found, curses won't be supported." ;;
+  xno) ;;
+  *)   { { echo "$as_me:$LINENO: error: lib(n)curses development files not found, curses won't be supported.
+This is an error since --with-curses was requested." >&5
+echo "$as_me: error: lib(n)curses development files not found, curses won't be supported.
+This is an error since --with-curses was requested." >&2;}
+   { (exit 1); exit 1; }; } ;;
+esac
 fi
 
 
@@ -12070,7 +12611,7 @@ echo "${ECHO_T}no" >&6; }
 fi
 
 
-if test "$sane_devel" != "no"
+if test "$sane_devel" != "no" -a "x$with_sane" != "xno"
 then
     ac_sane_incl="`$sane_devel --cflags`"
     ac_save_CPPFLAGS="$CPPFLAGS"
     CPPFLAGS="$ac_save_CPPFLAGS"
 fi
 if test "x$ac_cv_lib_soname_sane" = "x"; then
-  wine_notices="$wine_notices|libsane development files not found.
-Wine will be built without scanner support. (sane.ds/twain_32.dll)"
+  case "x$with_sane" in
+  x)   wine_notices="$wine_notices|libsane development files not found, scanners won't be supported." ;;
+  xno) ;;
+  *)   { { echo "$as_me:$LINENO: error: libsane development files not found, scanners won't be supported.
+This is an error since --with-sane was requested." >&5
+echo "$as_me: error: libsane development files not found, scanners won't be supported.
+This is an error since --with-sane was requested." >&2;}
+   { (exit 1); exit 1; }; } ;;
+esac
 fi
 
 
@@ -12372,7 +12920,7 @@ echo "${ECHO_T}no" >&6; }
 fi
 
 
-if test "$gphoto2_devel" != "no" -a "$gphoto2port_devel" != "no"
+if test "$gphoto2_devel" != "no" -a "$gphoto2port_devel" != "no" -a "x$with_gphoto" != "xno"
 then
     ac_gphoto2_incl="`$gphoto2_devel --cflags` `$gphoto2port_devel --cflags`"
     ac_gphoto2_libs=""
     CPPFLAGS="$ac_save_CPPFLAGS"
 fi
 if test "$ac_cv_lib_gphoto2_gp_camera_new" != "yes"; then
-  wine_notices="$wine_notices|libgphoto2 development files not found.
-Wine will be built without Digital Camera support. (gphoto2.ds/twain_32.dll)"
+  case "x$with_gphoto" in
+  x)   wine_notices="$wine_notices|libgphoto2 development files not found, digital cameras won't be supported." ;;
+  xno) ;;
+  *)   { { echo "$as_me:$LINENO: error: libgphoto2 development files not found, digital cameras won't be supported.
+This is an error since --with-gphoto was requested." >&5
+echo "$as_me: error: libgphoto2 development files not found, digital cameras won't be supported.
+This is an error since --with-gphoto was requested." >&2;}
+   { (exit 1); exit 1; }; } ;;
+esac
 fi
 
 
 
 fi
 if test "$ac_cv_lib_lcms_cmsOpenProfileFromFile" != "yes"; then
-  wine_notices="$wine_notices|liblcms development files not found.
-Wine will be built without Color Management support. (mscms.dll)"
+  case "x$with_cms" in
+  x)   wine_notices="$wine_notices|liblcms development files not found, Color Management won't be supported." ;;
+  xno) ;;
+  *)   { { echo "$as_me:$LINENO: error: liblcms development files not found, Color Management won't be supported.
+This is an error since --with-cms was requested." >&5
+echo "$as_me: error: liblcms development files not found, Color Management won't be supported.
+This is an error since --with-cms was requested." >&2;}
+   { (exit 1); exit 1; }; } ;;
+esac
 fi
 
 
@@ -13010,8 +13572,15 @@ done
 LIBS="$ac_wine_check_funcs_save_LIBS"
 fi
 if test "x$LDAPLIBS" = "x"; then
-  wine_notices="$wine_notices|libldap (OpenLDAP) development files not found.
-Wine will be built without LDAP support. (wldap32.dll)"
+  case "x$with_ldap" in
+  x)   wine_notices="$wine_notices|libldap (OpenLDAP) development files not found, LDAP won't be supported." ;;
+  xno) ;;
+  *)   { { echo "$as_me:$LINENO: error: libldap (OpenLDAP) development files not found, LDAP won't be supported.
+This is an error since --with-ldap was requested." >&5
+echo "$as_me: error: libldap (OpenLDAP) development files not found, LDAP won't be supported.
+This is an error since --with-ldap was requested." >&2;}
+   { (exit 1); exit 1; }; } ;;
+esac
 fi
 
 
@@ -13181,8 +13750,8 @@ _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
-#if HAVE_FT2BUILD_H
-                          #include <ft2build.h>
+#ifdef HAVE_FT2BUILD_H
+                          # include <ft2build.h>
                           #endif
 
 #include <$ac_header>
@@ -13441,11 +14010,7 @@ _ACEOF
     fi
 fi
 
-if test "$FONTFORGE" = "false"
-then
-    wine_warnings="$wine_warnings|FontForge is missing.
-Fonts will not be built. Dialog text may be invisible or unaligned."
-elif test "x$FREETYPELIBS" = "x"
+if test "x$FREETYPELIBS" = "x"
 then
     wine_warnings="$wine_warnings|FreeType development files not found.
 Fonts will not be built. Dialog text may be invisible or unaligned."
@@ -13969,7 +14534,7 @@ echo "${ECHO_T}no" >&6; }
 fi
 
 
-if test x$ESDCONFIG != x -a x$ESDCONFIG != x'"$ESDCONFIG"';
+if test "x$with_esd" != xno -a "x$ESDCONFIG" != x -a "x$ESDCONFIG" != x'"$ESDCONFIG"';
 then
     ESD_CFLAGS=""
     for i in `$ESDCONFIG --cflags`
 
 fi
 if test "x$ac_cv_lib_soname_capi20" = "x"; then
-  wine_notices="$wine_notices|libcapi20 development files not found.
-Wine will be built without ISDN support. (capi2032.dll)"
+  case "x$with_capi" in
+  x)   wine_notices="$wine_notices|libcapi20 development files not found, ISDN won't be supported." ;;
+  xno) ;;
+  *)   { { echo "$as_me:$LINENO: error: libcapi20 development files not found, ISDN won't be supported.
+This is an error since --with-capi was requested." >&5
+echo "$as_me: error: libcapi20 development files not found, ISDN won't be supported.
+This is an error since --with-capi was requested." >&2;}
+   { (exit 1); exit 1; }; } ;;
+esac
 fi
 
 
 
 fi
 if test "x$ac_cv_lib_soname_cups" = "x"; then
-  wine_notices="$wine_notices|libcups development files not found.
-Wine will be built without CUPS support."
+  case "x$with_cups" in
+  x)   wine_notices="$wine_notices|libcups development files not found, CUPS won't be supported." ;;
+  xno) ;;
+  *)   { { echo "$as_me:$LINENO: error: libcups development files not found, CUPS won't be supported.
+This is an error since --with-cups was requested." >&5
+echo "$as_me: error: libcups development files not found, CUPS won't be supported.
+This is an error since --with-cups was requested." >&2;}
+   { (exit 1); exit 1; }; } ;;
+esac
 fi
 
 
@@ -14590,7 +15169,7 @@ _ACEOF
 
 fi
 
-elif test -n "$X_CFLAGS"
+elif test -n "$X_CFLAGS" -a "x$with_fontconfig" != "xno"
 then
         ac_save_CPPFLAGS="$CPPFLAGS"
     CPPFLAGS="$CPPFLAGS $X_CFLAGS"
     fi
 fi
 if test "x$ac_cv_lib_soname_fontconfig" = "x"; then
-  wine_notices="$wine_notices|fontconfig development files not found.
-Wine will be built without fontconfig support."
+  case "x$with_fontconfig" in
+  x)   wine_notices="$wine_notices|fontconfig development files not found, fontconfig won't be supported." ;;
+  xno) ;;
+  *)   { { echo "$as_me:$LINENO: error: fontconfig development files not found, fontconfig won't be supported.
+This is an error since --with-fontconfig was requested." >&5
+echo "$as_me: error: fontconfig development files not found, fontconfig won't be supported.
+This is an error since --with-fontconfig was requested." >&2;}
+   { (exit 1); exit 1; }; } ;;
+esac
 fi
 
 
 
 fi
 if test "x$ac_cv_lib_soname_ssl" = "x"; then
-  wine_notices="$wine_notices|OpenSSL development files not found.
-Wine will be built without SSL support. (wininet.dll)"
+  case "x$with_openssl" in
+  x)   wine_notices="$wine_notices|OpenSSL development files not found, SSL won't be supported." ;;
+  xno) ;;
+  *)   { { echo "$as_me:$LINENO: error: OpenSSL development files not found, SSL won't be supported.
+This is an error since --with-openssl was requested." >&5
+echo "$as_me: error: OpenSSL development files not found, SSL won't be supported.
+This is an error since --with-openssl was requested." >&2;}
+   { (exit 1); exit 1; }; } ;;
+esac
 fi
 
 
 
 fi
 if test "x$ac_cv_lib_soname_jpeg" = "x"; then
-  wine_notices="$wine_notices|libjpeg development files not found.
-Wine will be built without JPEG support. (oleaut32.dll)"
+  case "x$with_jpeg" in
+  x)   wine_notices="$wine_notices|libjpeg development files not found, JPEG won't be supported." ;;
+  xno) ;;
+  *)   { { echo "$as_me:$LINENO: error: libjpeg development files not found, JPEG won't be supported.
+This is an error since --with-jpeg was requested." >&5
+echo "$as_me: error: libjpeg development files not found, JPEG won't be supported.
+This is an error since --with-jpeg was requested." >&2;}
+   { (exit 1); exit 1; }; } ;;
+esac
 fi
 
 
 
 fi
 if test "x$ac_cv_lib_soname_png" = "x"; then
-  wine_notices="$wine_notices|libpng development files not found.
-Wine will be built without PNG support. (oleaut32.dll)"
+  case "x$with_png" in
+  x)   wine_notices="$wine_notices|libpng development files not found, PNG won't be supported." ;;
+  xno) ;;
+  *)   { { echo "$as_me:$LINENO: error: libpng development files not found, PNG won't be supported.
+This is an error since --with-png was requested." >&5
+echo "$as_me: error: libpng development files not found, PNG won't be supported.
+This is an error since --with-png was requested." >&2;}
+   { (exit 1); exit 1; }; } ;;
+esac
 fi
 
 
-if test "x$ALSALIBS$AUDIOIOLIBS$COREAUDIO$NASLIBS$ESD_LIBS$ac_cv_lib_soname_jack" = "x" -a \
-                 "$ac_cv_header_sys_soundcard_h" != "yes" -a \
-                 "$ac_cv_header_machine_soundcard_h" != "yes" -a \
-                 "$ac_cv_header_soundcard_h" != "yes"; then
-  wine_warnings="$wine_warnings|No sound system was found. Windows applications will be silent."
+{ echo "$as_me:$LINENO: checking for -lodbc" >&5
+echo $ECHO_N "checking for -lodbc... $ECHO_C" >&6; }
+if test "${ac_cv_lib_soname_odbc+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_check_soname_save_LIBS=$LIBS
+LIBS="-lodbc  $LIBS"
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+char SQLConnect ();
+int
+main ()
+{
+return SQLConnect ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
+  case "$LIBEXT" in
+    dll) ;;
+    dylib) ac_cv_lib_soname_odbc=`otool -L conftest$ac_exeext | grep "libodbc\\.[0-9A-Za-z.]*dylib" | sed -e "s/^.*\/\(libodbc\.[0-9A-Za-z.]*dylib\).*$/\1/"';2,$d'` ;;
+    *) ac_cv_lib_soname_odbc=`$ac_cv_path_LDD conftest$ac_exeext | grep "libodbc\\.$LIBEXT" | sed -e "s/^.*\(libodbc\.$LIBEXT[^         ]*\).*$/\1/"';2,$d'` ;;
+  esac
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+
 fi
 
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+  LIBS=$ac_check_soname_save_LIBS
+fi
+if test "x$ac_cv_lib_soname_odbc" = "x"; then
+  { echo "$as_me:$LINENO: result: not found" >&5
+echo "${ECHO_T}not found" >&6; }
+       cat >>confdefs.h <<_ACEOF
+#define SONAME_LIBODBC "libodbc.$LIBEXT"
+_ACEOF
+
+else
+  { echo "$as_me:$LINENO: result: $ac_cv_lib_soname_odbc" >&5
+echo "${ECHO_T}$ac_cv_lib_soname_odbc" >&6; }
+
+cat >>confdefs.h <<_ACEOF
+#define SONAME_LIBODBC "$ac_cv_lib_soname_odbc"
+_ACEOF
+
+
+fi
+
+
+if test "x$ALSALIBS$AUDIOIOLIBS$COREAUDIO$NASLIBS$ESD_LIBS$ac_cv_lib_soname_jack" = "x" -a \
+        "$ac_cv_header_sys_soundcard_h" != "yes" -a \
+        "$ac_cv_header_machine_soundcard_h" != "yes" -a \
+        "$ac_cv_header_soundcard_h" != "yes" -a \
+        "x$with_alsa$with_audioio$with_coreaudio$with_nas$with_esd$with_jack$with_oss" != xnonononononono
+then
+    wine_warnings="$wine_warnings|No sound system was found. Windows applications will be silent."
+fi
 
 
 EXTRACFLAGS=""
@@ -15492,6 +16182,64 @@ if test $ac_cv_cflags__Wwrite_strings = yes; then
   EXTRACFLAGS="$EXTRACFLAGS -Wwrite-strings"
 fi
 
+  { echo "$as_me:$LINENO: checking whether the compiler supports -Wtype-limits" >&5
+echo $ECHO_N "checking whether the compiler supports -Wtype-limits... $ECHO_C" >&6; }
+if test "${ac_cv_cflags__Wtype_limits+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_wine_try_cflags_saved=$CFLAGS
+CFLAGS="$CFLAGS -Wtype-limits"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+int
+main ()
+{
+
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
+  ac_cv_cflags__Wtype_limits=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       ac_cv_cflags__Wtype_limits=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+CFLAGS=$ac_wine_try_cflags_saved
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_cflags__Wtype_limits" >&5
+echo "${ECHO_T}$ac_cv_cflags__Wtype_limits" >&6; }
+if test $ac_cv_cflags__Wtype_limits = yes; then
+  EXTRACFLAGS="$EXTRACFLAGS -Wtype-limits"
+fi
+
 
     saved_CFLAGS="$CFLAGS"
   CFLAGS="$CFLAGS -Wpointer-arith -Werror"
@@ -15945,6 +16693,11 @@ esac
 
 
 
+
+
+
+
+
 
 
 
@@ -15959,6 +16712,8 @@ for ac_func in \
        _strdup \
        _stricmp \
        _strnicmp \
+       _strtoi64 \
+       _strtoui64 \
        _vsnprintf \
        asctime_r \
        chsize \
@@ -15996,6 +16751,7 @@ for ac_func in \
        rfork \
        sched_yield \
        select \
+       setproctitle \
        setrlimit \
        settimeofday \
        sigaltstack \
@@ -16009,6 +16765,8 @@ for ac_func in \
        strerror \
        strncasecmp \
        strtold \
+       strtoll \
+       strtoull \
        tcgetattr \
        thr_kill2 \
        timegm \
@@ -20524,6 +21282,10 @@ ac_config_files="$ac_config_files dlls/acledit/Makefile"
 
 ac_config_files="$ac_config_files dlls/activeds/Makefile"
 
+ac_config_files="$ac_config_files dlls/actxprxy/Makefile"
+
+ac_config_files="$ac_config_files dlls/adsiid/Makefile"
+
 ac_config_files="$ac_config_files dlls/advapi32/Makefile"
 
 ac_config_files="$ac_config_files dlls/advapi32/tests/Makefile"
@@ -20580,6 +21342,8 @@ ac_config_files="$ac_config_files dlls/crypt32/Makefile"
 
 ac_config_files="$ac_config_files dlls/crypt32/tests/Makefile"
 
+ac_config_files="$ac_config_files dlls/cryptdlg/Makefile"
+
 ac_config_files="$ac_config_files dlls/cryptdll/Makefile"
 
 ac_config_files="$ac_config_files dlls/cryptnet/Makefile"
@@ -20610,6 +21374,36 @@ ac_config_files="$ac_config_files dlls/d3dx8/Makefile"
 
 ac_config_files="$ac_config_files dlls/d3dx8/tests/Makefile"
 
+ac_config_files="$ac_config_files dlls/d3dx9_24/Makefile"
+
+ac_config_files="$ac_config_files dlls/d3dx9_25/Makefile"
+
+ac_config_files="$ac_config_files dlls/d3dx9_26/Makefile"
+
+ac_config_files="$ac_config_files dlls/d3dx9_27/Makefile"
+
+ac_config_files="$ac_config_files dlls/d3dx9_28/Makefile"
+
+ac_config_files="$ac_config_files dlls/d3dx9_29/Makefile"
+
+ac_config_files="$ac_config_files dlls/d3dx9_30/Makefile"
+
+ac_config_files="$ac_config_files dlls/d3dx9_31/Makefile"
+
+ac_config_files="$ac_config_files dlls/d3dx9_32/Makefile"
+
+ac_config_files="$ac_config_files dlls/d3dx9_33/Makefile"
+
+ac_config_files="$ac_config_files dlls/d3dx9_34/Makefile"
+
+ac_config_files="$ac_config_files dlls/d3dx9_35/Makefile"
+
+ac_config_files="$ac_config_files dlls/d3dx9_36/Makefile"
+
+ac_config_files="$ac_config_files dlls/d3dx9_36/tests/Makefile"
+
+ac_config_files="$ac_config_files dlls/d3dx9_37/Makefile"
+
 ac_config_files="$ac_config_files dlls/d3dxof/Makefile"
 
 ac_config_files="$ac_config_files dlls/dbghelp/Makefile"
@@ -20670,6 +21464,8 @@ ac_config_files="$ac_config_files dlls/dsound/Makefile"
 
 ac_config_files="$ac_config_files dlls/dsound/tests/Makefile"
 
+ac_config_files="$ac_config_files dlls/dssenh/Makefile"
+
 ac_config_files="$ac_config_files dlls/dswave/Makefile"
 
 ac_config_files="$ac_config_files dlls/dwmapi/Makefile"
@@ -20684,6 +21480,10 @@ ac_config_files="$ac_config_files dlls/dxguid/Makefile"
 
 ac_config_files="$ac_config_files dlls/faultrep/Makefile"
 
+ac_config_files="$ac_config_files dlls/fusion/Makefile"
+
+ac_config_files="$ac_config_files dlls/fusion/tests/Makefile"
+
 ac_config_files="$ac_config_files dlls/gdi32/Makefile"
 
 ac_config_files="$ac_config_files dlls/gdi32/tests/Makefile"
@@ -20696,6 +21496,8 @@ ac_config_files="$ac_config_files dlls/glu32/Makefile"
 
 ac_config_files="$ac_config_files dlls/gphoto2.ds/Makefile"
 
+ac_config_files="$ac_config_files dlls/gpkcsp/Makefile"
+
 ac_config_files="$ac_config_files dlls/hal/Makefile"
 
 ac_config_files="$ac_config_files dlls/hhctrl.ocx/Makefile"
@@ -20720,6 +21522,8 @@ ac_config_files="$ac_config_files dlls/imagehlp/Makefile"
 
 ac_config_files="$ac_config_files dlls/imm32/Makefile"
 
+ac_config_files="$ac_config_files dlls/imm32/tests/Makefile"
+
 ac_config_files="$ac_config_files dlls/inetcomm/Makefile"
 
 ac_config_files="$ac_config_files dlls/inetcomm/tests/Makefile"
@@ -20728,6 +21532,8 @@ ac_config_files="$ac_config_files dlls/infosoft/Makefile"
 
 ac_config_files="$ac_config_files dlls/infosoft/tests/Makefile"
 
+ac_config_files="$ac_config_files dlls/initpki/Makefile"
+
 ac_config_files="$ac_config_files dlls/inkobj/Makefile"
 
 ac_config_files="$ac_config_files dlls/inseng/Makefile"
@@ -20736,10 +21542,16 @@ ac_config_files="$ac_config_files dlls/iphlpapi/Makefile"
 
 ac_config_files="$ac_config_files dlls/iphlpapi/tests/Makefile"
 
+ac_config_files="$ac_config_files dlls/itircl/Makefile"
+
 ac_config_files="$ac_config_files dlls/itss/Makefile"
 
 ac_config_files="$ac_config_files dlls/itss/tests/Makefile"
 
+ac_config_files="$ac_config_files dlls/jscript/Makefile"
+
+ac_config_files="$ac_config_files dlls/jscript/tests/Makefile"
+
 ac_config_files="$ac_config_files dlls/kernel32/Makefile"
 
 ac_config_files="$ac_config_files dlls/kernel32/tests/Makefile"
@@ -20778,6 +21590,8 @@ ac_config_files="$ac_config_files dlls/mmdevldr.vxd/Makefile"
 
 ac_config_files="$ac_config_files dlls/monodebg.vxd/Makefile"
 
+ac_config_files="$ac_config_files dlls/mountmgr.sys/Makefile"
+
 ac_config_files="$ac_config_files dlls/mpr/Makefile"
 
 ac_config_files="$ac_config_files dlls/mprapi/Makefile"
@@ -20824,8 +21638,12 @@ ac_config_files="$ac_config_files dlls/msnet32/Makefile"
 
 ac_config_files="$ac_config_files dlls/msrle32/Makefile"
 
+ac_config_files="$ac_config_files dlls/mssip32/Makefile"
+
 ac_config_files="$ac_config_files dlls/msvcirt/Makefile"
 
+ac_config_files="$ac_config_files dlls/msvcr71/Makefile"
+
 ac_config_files="$ac_config_files dlls/msvcrt/Makefile"
 
 ac_config_files="$ac_config_files dlls/msvcrt/tests/Makefile"
@@ -20862,6 +21680,8 @@ ac_config_files="$ac_config_files dlls/ntdll/tests/Makefile"
 
 ac_config_files="$ac_config_files dlls/ntdsapi/Makefile"
 
+ac_config_files="$ac_config_files dlls/ntdsapi/tests/Makefile"
+
 ac_config_files="$ac_config_files dlls/ntoskrnl.exe/Makefile"
 
 ac_config_files="$ac_config_files dlls/ntprint/Makefile"
@@ -20908,6 +21728,8 @@ ac_config_files="$ac_config_files dlls/powrprof/Makefile"
 
 ac_config_files="$ac_config_files dlls/printui/Makefile"
 
+ac_config_files="$ac_config_files dlls/propsys/Makefile"
+
 ac_config_files="$ac_config_files dlls/psapi/Makefile"
 
 ac_config_files="$ac_config_files dlls/psapi/tests/Makefile"
@@ -20916,8 +21738,16 @@ ac_config_files="$ac_config_files dlls/pstorec/Makefile"
 
 ac_config_files="$ac_config_files dlls/qcap/Makefile"
 
+ac_config_files="$ac_config_files dlls/qedit/Makefile"
+
+ac_config_files="$ac_config_files dlls/qedit/tests/Makefile"
+
 ac_config_files="$ac_config_files dlls/qmgr/Makefile"
 
+ac_config_files="$ac_config_files dlls/qmgr/tests/Makefile"
+
+ac_config_files="$ac_config_files dlls/qmgrprxy/Makefile"
+
 ac_config_files="$ac_config_files dlls/quartz/Makefile"
 
 ac_config_files="$ac_config_files dlls/quartz/tests/Makefile"
@@ -20942,14 +21772,14 @@ ac_config_files="$ac_config_files dlls/rpcrt4/tests/Makefile"
 
 ac_config_files="$ac_config_files dlls/rsabase/Makefile"
 
-ac_config_files="$ac_config_files dlls/rsabase/tests/Makefile"
-
 ac_config_files="$ac_config_files dlls/rsaenh/Makefile"
 
 ac_config_files="$ac_config_files dlls/rsaenh/tests/Makefile"
 
 ac_config_files="$ac_config_files dlls/sane.ds/Makefile"
 
+ac_config_files="$ac_config_files dlls/sccbase/Makefile"
+
 ac_config_files="$ac_config_files dlls/schannel/Makefile"
 
 ac_config_files="$ac_config_files dlls/schannel/tests/Makefile"
@@ -20990,10 +21820,16 @@ ac_config_files="$ac_config_files dlls/shlwapi/Makefile"
 
 ac_config_files="$ac_config_files dlls/shlwapi/tests/Makefile"
 
+ac_config_files="$ac_config_files dlls/slbcsp/Makefile"
+
+ac_config_files="$ac_config_files dlls/slc/Makefile"
+
 ac_config_files="$ac_config_files dlls/snmpapi/Makefile"
 
 ac_config_files="$ac_config_files dlls/snmpapi/tests/Makefile"
 
+ac_config_files="$ac_config_files dlls/softpub/Makefile"
+
 ac_config_files="$ac_config_files dlls/spoolss/Makefile"
 
 ac_config_files="$ac_config_files dlls/spoolss/tests/Makefile"
@@ -21116,6 +21952,8 @@ ac_config_files="$ac_config_files dlls/wintrust/tests/Makefile"
 
 ac_config_files="$ac_config_files dlls/wldap32/Makefile"
 
+ac_config_files="$ac_config_files dlls/wmi/Makefile"
+
 ac_config_files="$ac_config_files dlls/wnaspi32/Makefile"
 
 ac_config_files="$ac_config_files dlls/wow32/Makefile"
@@ -21176,6 +22014,8 @@ ac_config_files="$ac_config_files programs/oleview/Makefile"
 
 ac_config_files="$ac_config_files programs/progman/Makefile"
 
+ac_config_files="$ac_config_files programs/reg/Makefile"
+
 ac_config_files="$ac_config_files programs/regedit/Makefile"
 
 ac_config_files="$ac_config_files programs/regsvr32/Makefile"
@@ -21184,10 +22024,16 @@ ac_config_files="$ac_config_files programs/rpcss/Makefile"
 
 ac_config_files="$ac_config_files programs/rundll32/Makefile"
 
+ac_config_files="$ac_config_files programs/secedit/Makefile"
+
+ac_config_files="$ac_config_files programs/services/Makefile"
+
 ac_config_files="$ac_config_files programs/spoolsv/Makefile"
 
 ac_config_files="$ac_config_files programs/start/Makefile"
 
+ac_config_files="$ac_config_files programs/svchost/Makefile"
+
 ac_config_files="$ac_config_files programs/taskmgr/Makefile"
 
 ac_config_files="$ac_config_files programs/uninstaller/Makefile"
@@ -21641,7 +22487,7 @@ exec 6>&1
 # report actual input values of CONFIG_FILES etc. instead of their
 # values after options handling.
 ac_log="
-This file was extended by Wine $as_me 0.9.49, which was
+This file was extended by Wine $as_me 0.9.59, which was
 generated by GNU Autoconf 2.61.  Invocation command line was
 
   CONFIG_FILES    = $CONFIG_FILES
@@ -21694,7 +22540,7 @@ Report bugs to <bug-autoconf@gnu.org>."
 _ACEOF
 cat >>$CONFIG_STATUS <<_ACEOF
 ac_cs_version="\\
-Wine config.status 0.9.49
+Wine config.status 0.9.59
 configured by $0, generated by GNU Autoconf 2.61,
   with options \\"`echo "$ac_configure_args" | sed 's/^ //; s/[\\""\`\$]/\\\\&/g'`\\"
 
@@ -21819,6 +22665,8 @@ do
     "dlls/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/Makefile" ;;
     "dlls/acledit/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/acledit/Makefile" ;;
     "dlls/activeds/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/activeds/Makefile" ;;
+    "dlls/actxprxy/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/actxprxy/Makefile" ;;
+    "dlls/adsiid/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/adsiid/Makefile" ;;
     "dlls/advapi32/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/advapi32/Makefile" ;;
     "dlls/advapi32/tests/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/advapi32/tests/Makefile" ;;
     "dlls/advpack/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/advpack/Makefile" ;;
@@ -21847,6 +22695,7 @@ do
     "dlls/crtdll/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/crtdll/Makefile" ;;
     "dlls/crypt32/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/crypt32/Makefile" ;;
     "dlls/crypt32/tests/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/crypt32/tests/Makefile" ;;
+    "dlls/cryptdlg/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/cryptdlg/Makefile" ;;
     "dlls/cryptdll/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/cryptdll/Makefile" ;;
     "dlls/cryptnet/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/cryptnet/Makefile" ;;
     "dlls/cryptnet/tests/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/cryptnet/tests/Makefile" ;;
     "dlls/d3drm/tests/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/d3drm/tests/Makefile" ;;
     "dlls/d3dx8/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/d3dx8/Makefile" ;;
     "dlls/d3dx8/tests/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/d3dx8/tests/Makefile" ;;
+    "dlls/d3dx9_24/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/d3dx9_24/Makefile" ;;
+    "dlls/d3dx9_25/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/d3dx9_25/Makefile" ;;
+    "dlls/d3dx9_26/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/d3dx9_26/Makefile" ;;
+    "dlls/d3dx9_27/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/d3dx9_27/Makefile" ;;
+    "dlls/d3dx9_28/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/d3dx9_28/Makefile" ;;
+    "dlls/d3dx9_29/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/d3dx9_29/Makefile" ;;
+    "dlls/d3dx9_30/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/d3dx9_30/Makefile" ;;
+    "dlls/d3dx9_31/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/d3dx9_31/Makefile" ;;
+    "dlls/d3dx9_32/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/d3dx9_32/Makefile" ;;
+    "dlls/d3dx9_33/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/d3dx9_33/Makefile" ;;
+    "dlls/d3dx9_34/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/d3dx9_34/Makefile" ;;
+    "dlls/d3dx9_35/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/d3dx9_35/Makefile" ;;
+    "dlls/d3dx9_36/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/d3dx9_36/Makefile" ;;
+    "dlls/d3dx9_36/tests/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/d3dx9_36/tests/Makefile" ;;
+    "dlls/d3dx9_37/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/d3dx9_37/Makefile" ;;
     "dlls/d3dxof/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/d3dxof/Makefile" ;;
     "dlls/dbghelp/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/dbghelp/Makefile" ;;
     "dlls/dciman32/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/dciman32/Makefile" ;;
@@ -21892,6 +22756,7 @@ do
     "dlls/dpnlobby/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/dpnlobby/Makefile" ;;
     "dlls/dsound/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/dsound/Makefile" ;;
     "dlls/dsound/tests/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/dsound/tests/Makefile" ;;
+    "dlls/dssenh/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/dssenh/Makefile" ;;
     "dlls/dswave/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/dswave/Makefile" ;;
     "dlls/dwmapi/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/dwmapi/Makefile" ;;
     "dlls/dxdiagn/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/dxdiagn/Makefile" ;;
     "dlls/dxerr9/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/dxerr9/Makefile" ;;
     "dlls/dxguid/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/dxguid/Makefile" ;;
     "dlls/faultrep/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/faultrep/Makefile" ;;
+    "dlls/fusion/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/fusion/Makefile" ;;
+    "dlls/fusion/tests/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/fusion/tests/Makefile" ;;
     "dlls/gdi32/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/gdi32/Makefile" ;;
     "dlls/gdi32/tests/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/gdi32/tests/Makefile" ;;
     "dlls/gdiplus/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/gdiplus/Makefile" ;;
     "dlls/gdiplus/tests/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/gdiplus/tests/Makefile" ;;
     "dlls/glu32/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/glu32/Makefile" ;;
     "dlls/gphoto2.ds/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/gphoto2.ds/Makefile" ;;
+    "dlls/gpkcsp/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/gpkcsp/Makefile" ;;
     "dlls/hal/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/hal/Makefile" ;;
     "dlls/hhctrl.ocx/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/hhctrl.ocx/Makefile" ;;
     "dlls/hid/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/hid/Makefile" ;;
     "dlls/imaadp32.acm/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/imaadp32.acm/Makefile" ;;
     "dlls/imagehlp/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/imagehlp/Makefile" ;;
     "dlls/imm32/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/imm32/Makefile" ;;
+    "dlls/imm32/tests/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/imm32/tests/Makefile" ;;
     "dlls/inetcomm/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/inetcomm/Makefile" ;;
     "dlls/inetcomm/tests/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/inetcomm/tests/Makefile" ;;
     "dlls/infosoft/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/infosoft/Makefile" ;;
     "dlls/infosoft/tests/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/infosoft/tests/Makefile" ;;
+    "dlls/initpki/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/initpki/Makefile" ;;
     "dlls/inkobj/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/inkobj/Makefile" ;;
     "dlls/inseng/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/inseng/Makefile" ;;
     "dlls/iphlpapi/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/iphlpapi/Makefile" ;;
     "dlls/iphlpapi/tests/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/iphlpapi/tests/Makefile" ;;
+    "dlls/itircl/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/itircl/Makefile" ;;
     "dlls/itss/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/itss/Makefile" ;;
     "dlls/itss/tests/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/itss/tests/Makefile" ;;
+    "dlls/jscript/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/jscript/Makefile" ;;
+    "dlls/jscript/tests/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/jscript/tests/Makefile" ;;
     "dlls/kernel32/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/kernel32/Makefile" ;;
     "dlls/kernel32/tests/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/kernel32/tests/Makefile" ;;
     "dlls/localspl/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/localspl/Makefile" ;;
@@ -21946,6 +22819,7 @@ do
     "dlls/mlang/tests/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/mlang/tests/Makefile" ;;
     "dlls/mmdevldr.vxd/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/mmdevldr.vxd/Makefile" ;;
     "dlls/monodebg.vxd/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/monodebg.vxd/Makefile" ;;
+    "dlls/mountmgr.sys/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/mountmgr.sys/Makefile" ;;
     "dlls/mpr/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/mpr/Makefile" ;;
     "dlls/mprapi/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/mprapi/Makefile" ;;
     "dlls/msacm32.drv/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/msacm32.drv/Makefile" ;;
@@ -21969,7 +22843,9 @@ do
     "dlls/msisys.ocx/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/msisys.ocx/Makefile" ;;
     "dlls/msnet32/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/msnet32/Makefile" ;;
     "dlls/msrle32/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/msrle32/Makefile" ;;
+    "dlls/mssip32/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/mssip32/Makefile" ;;
     "dlls/msvcirt/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/msvcirt/Makefile" ;;
+    "dlls/msvcr71/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/msvcr71/Makefile" ;;
     "dlls/msvcrt/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/msvcrt/Makefile" ;;
     "dlls/msvcrt/tests/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/msvcrt/tests/Makefile" ;;
     "dlls/msvcrt20/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/msvcrt20/Makefile" ;;
@@ -21988,6 +22864,7 @@ do
     "dlls/ntdll/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/ntdll/Makefile" ;;
     "dlls/ntdll/tests/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/ntdll/tests/Makefile" ;;
     "dlls/ntdsapi/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/ntdsapi/Makefile" ;;
+    "dlls/ntdsapi/tests/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/ntdsapi/tests/Makefile" ;;
     "dlls/ntoskrnl.exe/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/ntoskrnl.exe/Makefile" ;;
     "dlls/ntprint/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/ntprint/Makefile" ;;
     "dlls/ntprint/tests/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/ntprint/tests/Makefile" ;;
     "dlls/pdh/tests/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/pdh/tests/Makefile" ;;
     "dlls/powrprof/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/powrprof/Makefile" ;;
     "dlls/printui/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/printui/Makefile" ;;
+    "dlls/propsys/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/propsys/Makefile" ;;
     "dlls/psapi/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/psapi/Makefile" ;;
     "dlls/psapi/tests/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/psapi/tests/Makefile" ;;
     "dlls/pstorec/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/pstorec/Makefile" ;;
     "dlls/qcap/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/qcap/Makefile" ;;
+    "dlls/qedit/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/qedit/Makefile" ;;
+    "dlls/qedit/tests/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/qedit/tests/Makefile" ;;
     "dlls/qmgr/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/qmgr/Makefile" ;;
+    "dlls/qmgr/tests/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/qmgr/tests/Makefile" ;;
+    "dlls/qmgrprxy/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/qmgrprxy/Makefile" ;;
     "dlls/quartz/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/quartz/Makefile" ;;
     "dlls/quartz/tests/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/quartz/tests/Makefile" ;;
     "dlls/query/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/query/Makefile" ;;
     "dlls/rpcrt4/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/rpcrt4/Makefile" ;;
     "dlls/rpcrt4/tests/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/rpcrt4/tests/Makefile" ;;
     "dlls/rsabase/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/rsabase/Makefile" ;;
-    "dlls/rsabase/tests/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/rsabase/tests/Makefile" ;;
     "dlls/rsaenh/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/rsaenh/Makefile" ;;
     "dlls/rsaenh/tests/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/rsaenh/tests/Makefile" ;;
     "dlls/sane.ds/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/sane.ds/Makefile" ;;
+    "dlls/sccbase/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/sccbase/Makefile" ;;
     "dlls/schannel/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/schannel/Makefile" ;;
     "dlls/schannel/tests/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/schannel/tests/Makefile" ;;
     "dlls/secur32/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/secur32/Makefile" ;;
     "dlls/shfolder/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/shfolder/Makefile" ;;
     "dlls/shlwapi/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/shlwapi/Makefile" ;;
     "dlls/shlwapi/tests/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/shlwapi/tests/Makefile" ;;
+    "dlls/slbcsp/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/slbcsp/Makefile" ;;
+    "dlls/slc/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/slc/Makefile" ;;
     "dlls/snmpapi/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/snmpapi/Makefile" ;;
     "dlls/snmpapi/tests/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/snmpapi/tests/Makefile" ;;
+    "dlls/softpub/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/softpub/Makefile" ;;
     "dlls/spoolss/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/spoolss/Makefile" ;;
     "dlls/spoolss/tests/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/spoolss/tests/Makefile" ;;
     "dlls/stdole2.tlb/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/stdole2.tlb/Makefile" ;;
@@ -22115,6 +23000,7 @@ do
     "dlls/wintrust/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/wintrust/Makefile" ;;
     "dlls/wintrust/tests/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/wintrust/tests/Makefile" ;;
     "dlls/wldap32/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/wldap32/Makefile" ;;
+    "dlls/wmi/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/wmi/Makefile" ;;
     "dlls/wnaspi32/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/wnaspi32/Makefile" ;;
     "dlls/wow32/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/wow32/Makefile" ;;
     "dlls/ws2_32/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/ws2_32/Makefile" ;;
     "programs/notepad/Makefile") CONFIG_FILES="$CONFIG_FILES programs/notepad/Makefile" ;;
     "programs/oleview/Makefile") CONFIG_FILES="$CONFIG_FILES programs/oleview/Makefile" ;;
     "programs/progman/Makefile") CONFIG_FILES="$CONFIG_FILES programs/progman/Makefile" ;;
+    "programs/reg/Makefile") CONFIG_FILES="$CONFIG_FILES programs/reg/Makefile" ;;
     "programs/regedit/Makefile") CONFIG_FILES="$CONFIG_FILES programs/regedit/Makefile" ;;
     "programs/regsvr32/Makefile") CONFIG_FILES="$CONFIG_FILES programs/regsvr32/Makefile" ;;
     "programs/rpcss/Makefile") CONFIG_FILES="$CONFIG_FILES programs/rpcss/Makefile" ;;
     "programs/rundll32/Makefile") CONFIG_FILES="$CONFIG_FILES programs/rundll32/Makefile" ;;
+    "programs/secedit/Makefile") CONFIG_FILES="$CONFIG_FILES programs/secedit/Makefile" ;;
+    "programs/services/Makefile") CONFIG_FILES="$CONFIG_FILES programs/services/Makefile" ;;
     "programs/spoolsv/Makefile") CONFIG_FILES="$CONFIG_FILES programs/spoolsv/Makefile" ;;
     "programs/start/Makefile") CONFIG_FILES="$CONFIG_FILES programs/start/Makefile" ;;
+    "programs/svchost/Makefile") CONFIG_FILES="$CONFIG_FILES programs/svchost/Makefile" ;;
     "programs/taskmgr/Makefile") CONFIG_FILES="$CONFIG_FILES programs/taskmgr/Makefile" ;;
     "programs/uninstaller/Makefile") CONFIG_FILES="$CONFIG_FILES programs/uninstaller/Makefile" ;;
     "programs/view/Makefile") CONFIG_FILES="$CONFIG_FILES programs/view/Makefile" ;;
@@ -22283,6 +23173,7 @@ LIBS!$LIBS$ac_delim
 build_alias!$build_alias$ac_delim
 host_alias!$host_alias$ac_delim
 target_alias!$target_alias$ac_delim
+MAINTAINER_MODE!$MAINTAINER_MODE$ac_delim
 build!$build$ac_delim
 build_cpu!$build_cpu$ac_delim
 build_vendor!$build_vendor$ac_delim
@@ -22318,6 +23209,7 @@ AS!$AS$ac_delim
 ac_ct_AS!$ac_ct_AS$ac_delim
 LD!$LD$ac_delim
 AR!$AR$ac_delim
+ARFLAGS!$ARFLAGS$ac_delim
 RANLIB!$RANLIB$ac_delim
 STRIP!$STRIP$ac_delim
 WINDRES!$WINDRES$ac_delim
@@ -22326,8 +23218,6 @@ LN!$LN$ac_delim
 GREP!$GREP$ac_delim
 EGREP!$EGREP$ac_delim
 LDCONFIG!$LDCONFIG$ac_delim
-INSTALL_PROGRAM!$INSTALL_PROGRAM$ac_delim
-INSTALL_SCRIPT!$INSTALL_SCRIPT$ac_delim
 _ACEOF
 
   if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 82; then
@@ -22389,11 +23279,15 @@ _ACEOF
 ac_delim='%!_!# '
 for ac_last_try in false false false false false :; do
   cat >conf$$subs.sed <<_ACEOF
+INSTALL_PROGRAM!$INSTALL_PROGRAM$ac_delim
+INSTALL_SCRIPT!$INSTALL_SCRIPT$ac_delim
 INSTALL_DATA!$INSTALL_DATA$ac_delim
 LINT!$LINT$ac_delim
 LINTFLAGS!$LINTFLAGS$ac_delim
 FONTFORGE!$FONTFORGE$ac_delim
 PKG_CONFIG!$PKG_CONFIG$ac_delim
+RSVG!$RSVG$ac_delim
+ICOTOOL!$ICOTOOL$ac_delim
 PRELINK!$PRELINK$ac_delim
 LIBPTHREAD!$LIBPTHREAD$ac_delim
 XLIB!$XLIB$ac_delim
@@ -22414,6 +23308,7 @@ LDD!$LDD$ac_delim
 DLLTOOL!$DLLTOOL$ac_delim
 DLLWRAP!$DLLWRAP$ac_delim
 MINGWAR!$MINGWAR$ac_delim
+SECURITYLIB!$SECURITYLIB$ac_delim
 COREFOUNDATIONLIB!$COREFOUNDATIONLIB$ac_delim
 IOKITLIB!$IOKITLIB$ac_delim
 LDEXECFLAGS!$LDEXECFLAGS$ac_delim
@@ -22462,7 +23357,7 @@ LIBOBJS!$LIBOBJS$ac_delim
 LTLIBOBJS!$LTLIBOBJS$ac_delim
 _ACEOF
 
-  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 71; then
+  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 76; then
     break
   elif $ac_last_try; then
     { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
 
 ac_save_IFS="$IFS"
 IFS="|"
-if test "$verbose" = "yes"; then
+if test "x$wine_notices != "x; then
+    echo >&6
     for msg in $wine_notices; do
         if test -n "$msg"; then
-            echo >&2
             { echo "$as_me:$LINENO: $msg" >&5
 echo "$as_me: $msg" >&6;}
         fi
@@ -22936,7 +23831,7 @@ echo "$as_me: WARNING: $msg" >&2;}
 done
 IFS="$ac_save_IFS"
 
-echo
-echo "Configure finished.  Do '${ac_make} depend && ${ac_make}' to compile Wine."
-echo
+echo "
+$as_me: Finished.  Do '${ac_make} depend && ${ac_make}' to compile Wine.
+" >&6